Bug 1181550 - python-shapely-1.5.13 is available
Summary: python-shapely-1.5.13 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-shapely
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2015-01-13 11:10 UTC by Upstream Release Monitoring
Modified: 2016-05-06 12:15 UTC (History)
5 users (show)

Fixed In Version: python-shapely-1.5.15-1.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-05 10:11:44 UTC


Attachments (Terms of Use)
[patch] Update to 1.5.8 (#1181550) (999 bytes, text/x-diff)
2015-04-30 01:14 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 1.5.9 (#1181550) (999 bytes, text/x-diff)
2015-05-29 02:02 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 1.5.13 (#1181550) (1.12 KB, patch)
2015-10-10 12:22 UTC, Upstream Release Monitoring
no flags Details | Diff
Patch for new upstream release and Python 3.5 build fix (1.90 KB, patch)
2016-02-22 11:39 UTC, Charalampos Stratakis
no flags Details | Diff
Update to 1.5.15 (1.49 KB, patch)
2016-03-30 11:42 UTC, Charalampos Stratakis
no flags Details | Diff

Description Upstream Release Monitoring 2015-01-13 11:10:22 UTC
Latest upstream release: 1.5.3
Current version/release in Fedora Rawhide: 1.5.2-1.fc22
URL: https://pypi.python.org/packages/source/S/Shapely/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Upstream Release Monitoring 2015-01-22 11:01:16 UTC
Latest upstream release: 1.5.5
Current version/release in Fedora Rawhide: 1.5.2-1.fc22
URL: https://pypi.python.org/packages/source/S/Shapely/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 2 Upstream Release Monitoring 2015-03-17 13:21:19 UTC
Latest upstream release: 1.5.7
Current version/release in rawhide: 1.5.2-1.fc22
URL: https://pypi.python.org/pypi/Shapely

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2015-03-17 13:28:56 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9252070

Comment 4 Upstream Release Monitoring 2015-04-30 01:14:05 UTC
Latest upstream release: 1.5.8
Current version/release in rawhide: 1.5.2-1.fc22
URL: https://pypi.python.org/pypi/Shapely

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 5 Upstream Release Monitoring 2015-04-30 01:14:18 UTC
Created attachment 1020384 [details]
[patch] Update to 1.5.8 (#1181550)

Comment 6 Upstream Release Monitoring 2015-04-30 01:20:40 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9603315

Comment 7 Upstream Release Monitoring 2015-05-29 02:02:24 UTC
Latest upstream release: 1.5.9
Current version/release in rawhide: 1.5.2-1.fc22
URL: https://pypi.python.org/pypi/Shapely

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-05-29 02:02:39 UTC
Created attachment 1031527 [details]
[patch] Update to 1.5.9 (#1181550)

Comment 9 Upstream Release Monitoring 2015-05-29 02:08:00 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9873462

Comment 10 Upstream Release Monitoring 2015-08-24 03:50:14 UTC
Latest upstream release: 1.5.11
Current version/release in rawhide: 1.5.2-2.fc24
URL: https://pypi.python.org/pypi/Shapely

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 11 Upstream Release Monitoring 2015-08-24 03:50:25 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-lS2EP0/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-lS2EP0/100.0%: No such file or directory

Comment 12 Upstream Release Monitoring 2015-08-28 00:16:44 UTC
Latest upstream release: 1.5.12
Current version/release in rawhide: 1.5.2-2.fc24
URL: https://pypi.python.org/pypi/Shapely

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 13 Upstream Release Monitoring 2015-08-28 00:16:55 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-2XD1wB/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-2XD1wB/100.0%: No such file or directory

Comment 14 Upstream Release Monitoring 2015-10-10 12:22:03 UTC
Latest upstream release: 1.5.13
Current version/release in rawhide: 1.5.2-2.fc24
URL: https://pypi.python.org/pypi/Shapely

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 15 Upstream Release Monitoring 2015-10-10 12:22:17 UTC
Created attachment 1081600 [details]
[patch] Update to 1.5.13 (#1181550)

Comment 16 Upstream Release Monitoring 2015-10-10 12:31:16 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11398442

Comment 17 Charalampos Stratakis 2016-02-22 11:39:45 UTC
Created attachment 1129235 [details]
Patch for new upstream release and Python 3.5 build fix

Comment 18 Volker Fröhlich 2016-02-23 00:37:48 UTC
Thanks, I'll incorporate that!

Comment 19 Miro Hrončok 2016-03-02 18:30:39 UTC
Volker, may I push this?

Comment 20 Volker Fröhlich 2016-03-02 22:09:11 UTC
Oh, forgot about it. Yes, please go ahead, I'll just apply my changes later.

Comment 21 Miro Hrončok 2016-03-03 00:23:58 UTC
I've pushed this to rawhide and f24.

The tests for Python 2 are not running (they are not collected):

Ran 0 tests in 0.000s

No idea why is that.

Comment 22 Miro Hrončok 2016-03-03 00:38:54 UTC
Also, this fails on arm.

    OverflowError: Python int too large to convert to C long

Volker, do you think we should try to fix this with upstream or just disbale this on arm for now?

Comment 23 Elliott Sales de Andrade 2016-03-28 20:22:56 UTC
There's a new 1.5.14 release that incorporates the fix; maybe just bump to that?

Comment 24 Charalampos Stratakis 2016-03-29 16:41:01 UTC
Fixed in version 1.5.15 [0].

Will provide a patch.

[0] https://github.com/Toblerity/Shapely/blob/master/CHANGES.txt

Comment 25 Volker Fröhlich 2016-03-29 19:18:28 UTC
Sweet, thanks!

Comment 26 Charalampos Stratakis 2016-03-30 11:42:23 UTC
Created attachment 1141699 [details]
Update to 1.5.15

Here is the patch for 1.5.15 version that also fixes the ARM build failures.

Comment 27 Charalampos Stratakis 2016-03-30 11:50:06 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13507036

Comment 28 Miro Hrončok 2016-03-30 12:32:30 UTC
Already built for rawhide by volter. Awesome. Please, don't forget f24.

Comment 29 Volker Fröhlich 2016-03-30 21:48:54 UTC
Done!

Thanks a lot, Charalampos! We are more than happy with you helping us out so eagerly! It's enough to fix the actual bugs though. Please don't feel obligated to update the spec files.

Comment 30 Fedora Update System 2016-03-30 21:50:43 UTC
python-shapely-1.5.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-84d272e06c

Comment 31 Fedora Update System 2016-04-01 20:57:43 UTC
python-shapely-1.5.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84d272e06c

Comment 32 Fedora Update System 2016-04-05 10:11:36 UTC
python-shapely-1.5.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.